.btn-default {
    color: @ge-color-gray;
    &:hover, &:active, &:focus {
        color: @ge-color-gray;
    }
}

.btn {
    border-color: @ge-color-light;
    border-radius: 0;

    &.btn-primary {
        background-color: @ge-color-blue;
        border-color: @ge-color-blue;
        color: @ge-color-light;
    }

    &.btn-help {
        background-color: transparent;
        border-style: none;
        color: @ge-color-blue;
        font-size: @font-size-h3;
        line-height: 1.4em;
        margin: -.2em .1em 0 .1em;
        padding: .2em .3em;

        &:hover, &:active, &:focus {
            border-style: none;
            box-shadow: none;
            color: lighten(@ge-color-blue, 10%);
            outline: none;
        }
    }

    &.btn-sm {
        font-size: @font-size-h4;
        font-weight: bold;
        line-height: 1.4em;
        padding: 0 ceil(@font-size-h4 / 4);

        &:hover, &:active, &:focus {
            border-style: none;
            box-shadow: none;
            outline: none;
        }
    }

    &[data-toggle="collapse"] {
        background-color: transparent;
        border-style: none;
        color: @ge-color-red;
        > i {
            transform: rotate(45deg);
        }
        &.collapsed > i {
            transform: none;
        }
    }

}

.submit-buttons {
    margin-top: 2.4em;
    > div {
        text-align: right;
    }

    &.affix {
        position: fixed;
    }
}

.input-group-btn {
    border-bottom: 1px solid @ge-color-gray;
    > .btn {
        border-style: none;
    }
}

#contextualMenu {

    .btn {
        background-color: transparent;
        border-style: none;
        color: inherit;
        font-size: @font-size-h3;
        margin: -.2em .1em 0 .1em;
        padding: .2em .3em;

        &:hover, &:active, &:focus {
            border-style: none;
            box-shadow: none;
            color: lighten(@ge-color-blue, 10%);
            outline: none;
        }
    }

    .btn-font-size {
        display: inline-block;
        // margin: -.2em .1em 0 .1em;
        padding: 2px 12px;
        vertical-align: middle;

        .btn {
            background-color: transparent;
            border: none;
            padding-left: 0;
            padding-right: 0;
            &, &:hover, &:focus {
                outline-style: none;
            }
        }

        .btn-font-size-default {
            font-size: 1.4em;
            font-weight: bold;
            height: 2.2em;
            line-height: 1.6em;
            padding: 6px 2px;


            span:nth-child(1), span:nth-child(2) {
                text-shadow: 1px 1px 0px #fff, 1px -1px 0px #fff, -1px -1px 0px #fff, -1px 1px 0px #fff;
                vertical-align: middle;
            }

            span:nth-child(1) {
                font-size: 1em;
            }

            span:nth-child(2) {
                font-size: 1.4em;
                margin-left: -.2em;
            }
        }

        .btn-font-size-up, .btn-font-size-down {
            > span {
                font-size: .4em;
            }
            // display: block;
            // height: 1.1em;
            // overflow: hidden;
            // padding: 0 6px;
            // > i.fa:before {
            //     position: relative;
            // }
        }

        .btn-font-size-up {
            // > i.fa:before {
            //     top: .3em;
            // }
        }

        .btn-font-size-down {
            // > i.fa:before {
            //     top: -.7em;
            // }
        }

    }

}